<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);


if ($ank['id']==0)
{
$ank=get_user($ank['id']);
$set['title']=$ank['nick'].' - анкета '; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();
echo "<span class=\"status\">$ank[group_name]</span><br />\n";

if ($ank['ank_o_sebe']!=NULL)echo "<span class=\"ank_n\">О себе:</span> <span class=\"ank_d\">$ank[ank_o_sebe]</span><br />\n";




if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "<div class='foot'>&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n</div>\n";

include_once 'sys/inc/tfoot.php';
exit;
}

$ank=get_user($ank['id']);
if(!$ank){header("Location: /index.php?".SID);exit;}








$ank['rating']=intval(@mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$ank[id]'"),0));
$set['title']=$ank['nick'].' - анкета '; // заголовок страницы
include_once 'sys/inc/thead.php';
title();


if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!ereg('info\.php',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',ereg_replace('^http://[^/]*/','/', $_SERVER['HTTP_REFERER']));


if (isset($_POST['rating']) && isset($user)  && $user['id']!=$ank['id'] && $user['balls']>=50 && mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$user[id]'"),0)>=0)
{
$new_r=min(max(@intval($_POST['rating']),-2),2);
mysql_query("DELETE FROM `user_voice2` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' LIMIT 1");

if ($new_r)
mysql_query("INSERT INTO `user_voice2` (`rating`, `id_user`, `id_kont`) VALUES ('$new_r','$user[id]','$ank[id]')");
$ank['rating']=intval(mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$ank[id]'"),0));
mysql_query("UPDATE `user` SET `rating` = '$ank[rating]' WHERE `id` = '$ank[id]' LIMIT 1");

if ($new_r>0)
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$user[nick] оставил положительный отзыв в [url=/who_rating.php]Вашей анкете[/url]', '$time')");
if ($new_r<0)
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$user[nick] оставил негативный отзыв в [url=/who_rating.php]Вашей анкете[/url]', '$time')");
if ($new_r==0)
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$user[nick] оставил нейтральный отзыв в [url=/who_rating.php]Вашей анкете[/url]', '$time')");



msg('Ваше мнение о пользователе успешно изменено');
}
 
	


	if ( mysql_result( mysql_query( "SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' AND `date_last` > '" . ( time()-5000 ) . "' LIMIT 1" ), 0 ) == 1 )
	
aut();
$timediff=mysql_result(mysql_query("SELECT `time` FROM `user` WHERE `id` = '$ank[id]' LIMIT 1",$db), 0);

$oneMinute=60; 
$oneHour=60*60; 
$oneDay=60*60*24; 
$dayfield=floor($timediff/$oneDay); 
$hourfield=floor(($timediff-$dayfield*$oneDay)/$oneHour); 
$minutefield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour)/$oneMinute); 
$secondfield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour-$minutefield*$oneMinute)); 

$sDaysLeft=$dayfield; 
$sDaysText = "дней"; 
$nDaysLeftLength =strlen($sDaysLeft); 
$d_1=substr($sDaysLeft,-1,1); 

if (substr($sDaysLeft,-2,1) != 1 && $nDaysLeftLength>1) 
{ 
    if ($d_1 == 2 || $d_1== 3 || $d_1== 4) 
    { 
        $sDaysText = "дня"; 
    } 
    elseif ($d_1== 1) 
    { 
        $sDaysText = "день"; 
    } 
} 
if ($nDaysLeftLength==1) 
{ 
    if ($d_1==2 || $d_1== 3 || $d_1== 4) 
    { 
        $sDaysText = "дня"; 
    } 
    elseif ($d_1== 1) 
    { 
        $sDaysText = "день"; 
    } 
} 

$sHoursLeft=$hourfield; 
$sHoursText = "часов"; 
$nHoursLeftLength = strlen($sHoursLeft); 
$h_1=substr($sHoursLeft,-1,1); 
if (substr($sHoursLeft,-2,1) != 1 && $nHoursLeftLength>1) 
{ 
    if ($h_1== 2 || $h_1== 3 || $h_1== 4) 
    { 
        $sHoursText = "часа"; 
    } 
    elseif ($h_1== 1) 
    { 
        $sHoursText = "час"; 
    } 
} 

if ($nHoursLeftLength==1) 
{ 
    if ($h_1== 2 || $h_1== 3 || $h_1== 4) 
    { 
        $sHoursText = "часа"; 
    } 
    elseif ($h_1== 1) 
    { 
        $sHoursText = "час"; 
    } 
} 

$sMinsLeft =$minutefield; 
$sMinsText = "минут"; 
$nMinsLeftLength = strlen($sMinsLeft); 
$m_1=substr($sMinsLeft,-1,1); 

if ($nMinsLeftLength>1 && substr($sMinsLeft,-2,1) != 1) 
{ 
    if ($m_1== 2 || $m_1== 3 || $m_1== 4) 
    { 
        $sMinsText = "минуты"; 
    } 
    else if ($m_1== 1) 
    { 
        $sMinsText = "минута"; 
    } 
} 

if ($nMinsLeftLength==1) 
{ 
    if ($m_1== 2 || $m_1==3 || $m_1== 4) 
    { 
        $sMinsText = "минуты"; 
    } 
    elseif ($m_1== "1") 
    { 
        $sMinsText = "минута"; 
    } 
} 

$sSecsLeft = $secondfield; 
$sSecsText = "секунд"; 
$s_1=substr($sSecsLeft,-1,1); 
$nSecsLeftLength = strlen($sSecsLeft); 
if (substr($sSecsLeft,-2,1)!= 1 && $nSecsLeftLength>1) 
{ 
    if ($s_1== 2 || $s_1== 3 || $s_1== 4) 
    { 
        $sSecsText = "секунды"; 
    } 
    elseif ($s_1== 1) 
    { 
        $sSecsText = "секунда"; 
    } 
} 

if ($nSecsLeftLength==1) 
{ 
    if ($s_1== 2 || $s_1== 3 || $s_1== 4) 
    { 
        $sSecsText = "секунды"; 
    } 
    elseif ($sSecsLeft== "1") 
    { 
        $sSecsText = "секунда"; 
    } 
} 

$displaystring="". 
$sDaysLeft." ". 
$sDaysText." ". 
$sHoursLeft." ". 
$sHoursText." ". 
$sMinsLeft." ". 
$sMinsText." ". 
$sSecsLeft." ". 
$sSecsText; 

if ($timediff<0) $displaystring='дата уже наступила'; 




if ($ank['status']!=''){echo "<span class='ank_n'>Особый статус:</span> <span style=\"color:#ff0000\">$ank[status]</span><br />\n";}
echo "<div class='row2'>\n";
echo "Дата регистрации: ".vremja($ank['date_reg'])."<br />\n";
echo "Посл. посещение: ".vremja($ank['date_last'])."<br />\n";
$perehodu=mysql_result(mysql_query("SELECT `perehodu` FROM `user` WHERE `id` = '$ank[id]' LIMIT 1",$db), 0);
	echo '</div>';
echo "Баллы: $ank[balls]<br />\n";
//valerik mod Передача баллов другому юзеру----
if($user['balls']>0 AND $ank['id']<>$user['id'])
{
echo "<a href='give_balls.php?id=".$ank['id']."'>Поделиться баллами</a><br />\n";
}
//---------------------------------------------


echo "<span class=\"ank_n\">Рейтинг:</span> <span class=\"ank_d\">$ank[rating]</span>".($ank['id']==$user['id']?" <a href='/who_rating.php'>[?]</a>":null)."<br />\n";

if (isset($user)  && $user['id']!=$ank['id'] && $user['balls']>=50 && mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$user[id]'"),0)>=0)
{
echo "<b>Ваше отношение:</b><br />\n";
// мое отношение к пользователю
$my_r=intval(@mysql_result(mysql_query("SELECT `rating` FROM `user_voice2` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"),0));
echo "<form method='post' action='?id=$ank[id]&amp;$passgen'>\n";
echo "<select name='rating'>\n";
echo "<option value='2' ".($my_r==2?'selected="selected"':null).">Замечательное</option>\n";
echo "<option value='1' ".($my_r==1?'selected="selected"':null).">Положительное</option>\n";
echo "<option value='0' ".($my_r==0?'selected="selected"':null).">Нейтральное</option>\n";
echo "<option value='-1' ".($my_r==-1?'selected="selected"':null).">Не очень...</option>\n";
echo "<option value='-2' ".($my_r==-2?'selected="selected"':null).">Негативное</option>\n";
echo "</select>\n";
echo "<input type='submit' value='GO' />\n";
echo "</form>\n";

//echo "<br />\n";
}
$k_them=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_t` WHERE `id_user` = '$ank[id]'"),0);
echo "Тем в форуме: $k_them<br />\n";
$k_p_forum=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_p` WHERE `id_user` = '$ank[id]'"),0);
echo "Сообщ. в форуме: $k_p_forum<br />\n";
$chat_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_post` WHERE `id_user` = '$ank[id]'"),0);
echo "Сообщ. в чате: $chat_post<br />\n";
$guest3=mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '$ank[id]'"),0);
echo "<span class=\"ank_n\">Постов в Беседке:</span> <span class=\"ank_d\">$guest3</span><br />\n";


$mail3=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$ank[id]' OR `id_kont` = '$ank[id]'"),0);
if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4))
echo "<span class=\"ank_n\">Приватные сообщения:</span> <span class=\"ank_d\">$mail3</span><br />\n";

$komm_loads=mysql_result(mysql_query("SELECT COUNT(*) FROM `loads_komm` WHERE `id_user` = '$ank[id]'"),0);
echo "<span class=\"ank_n\">Комментарии в загрузках:</span> <span class=\"ank_d\">$komm_loads</span><br />\n";

$news_komm=mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id_user` = '$ank[id]'"),0);
echo "<span class=\"ank_n\">Комментарии новостей:</span> <span class=\"ank_d\">$news_komm</span><br />\n";

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]' AND `time` > '$time'"), 0)!=0)
{
$q=mysql_query("SELECT * FROM `ban` WHERE `id_user` = '$ank[id]' AND `time` > '$time' ORDER BY `time` DESC LIMIT 5");
while ($post = mysql_fetch_assoc($q))
{
echo "<span class='ank_n'>Забанен до ".vremja($post['time']).":</span>\n";
echo "<span class='ank_d'>".output_text($post['prich'])."</span><br />\n";
}
}
else
{
$narush=mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]'"), 0);
echo "<span class='ank_n'>Нарушений:</span>".(($narush==0)?" <span class='ank_d'>нет</span><br />\n":" <span class=\"ank_d\">$narush</span><br />\n");
}
echo "</div>\n";
if ($ank['group_access']>1)echo "<span class='status'>$ank[group_name]</span><br />\n";

avatar($ank['id']);   if (isset($user) && $user['id']==$ank['id'])echo "<br/><a href='/avatar.php'>Настроить аватар</a>\n";       echo "<br/>\n";

if (isset($user) && $user['id']==$ank['id'])echo esc(trim(br(bbcode(links(stripcslashes(htmlspecialchars($ank['privet'])))))))."\n";if (isset($user) && $user['id']==$ank['id'])echo "<br/>\n";
if ($ank['ank_name']!=NULL)echo "<span class=\"ank_n\">Имя:</span> <span class=\"ank_d\">$ank[ank_name]</span><br />\n";
else
echo "<span class=\"ank_n\">Имя:</span> <span class=\"ank_no\">Не заполнено</span><br />\n";

//Valerik mod--------------
$f_name=H.'sys/dat/ank_edit.txt';
if(is_file($f_name))
{
$arr=file($f_name);
$max=count($arr)-1;

$res=mysql_query("SELECT vals FROM ank_edit_mod WHERE user='".$ank['id']."';");
if($row=mysql_fetch_assoc($res))
{
$mas=explode('|',$row['vals']);
	
	foreach($mas AS $key => $val)
	{
	$aa=explode('&*&',$val);
	$ank_mod[$aa[0]]=$aa[1];
	}
}

	foreach($arr AS $key => $value)
	{	
	$value=trim($value);
	if(!$value)continue;
	$mas=explode('|',$value);
	$title=$mas[0];
	$type=$mas[1];
	$maxlen=$mas[2];
	$title1=retranslit(str_replace(' ','_',$title));
	if(!$ank_mod[$title1])continue;
	echo "<span class=\"ank_n\">$title:</span> <span class=\"ank_d\">".$ank_mod[$title1]."</span><br />\n";
	}

}
//------------------------


if ($ank['pol']==1)
echo "<span class=\"ank_n\">Пол:</span> <span class=\"ank_d\">Мужской</span><br />\n";
else
echo "<span class=\"ank_n\">Пол:</span> <span class=\"ank_d\">Женский</span><br />\n";

if ($ank['ank_city']!=NULL)echo "<span class=\"ank_n\">Место жительства:</span> <span class=\"ank_d\">$ank[ank_city]</span><br />\n";
else
echo "<span class=\"ank_n\">Место жительства:</span> <span class=\"ank_no\">Не заполнено</span><br />\n";

if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<span class=\"ank_n\">Дата рождения:</span> <span class=\"ank_d\">$ank[ank_d_r] $ank[mes] $ank[ank_g_r]г.</span><br />\n";
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "<span class=\"ank_n\">Возраст:</span> <span class=\"ank_d\">$ank[ank_age] лет</span><br />\n";
}
elseif($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL)
{
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<span class=\"ank_n\">День рождения:</span> <span class=\"ank_d\">$ank[ank_d_r] $ank[mes]</span><br />\n";
}
else
echo "<span class=\"ank_n\">Дата рождения:</span> <span class=\"ank_no\">Не заполнено</span><br />\n";

if ($ank['ank_o_sebe']!=NULL)echo "<span class=\"ank_n\">О себе:</span> <span class=\"ank_d\">$ank[ank_o_sebe]</span><br />\n";
else
echo "<span class=\"ank_n\">О себе:</span> <span class=\"ank_no\">Не заполнено</span><br />\n";
if($ank['brak']!=NULL){echo '<span class="ank_n">Брак с:</span> '.$ank['brak'].'<br/>';};

$ismobi=mysql_query("SELECT * FROM `gorod_invent` WHERE `uid`='".$ank['id']."' AND `type`='mobi'");
if(mysql_num_rows($ismobi)>0){
$ismobi=mysql_fetch_assoc($ismobi);
echo '<span class="ank_n">Мобила города:</span> <span class="ank_d">'.$ismobi['name'].'</span><br/>';
};
$isdom=mysql_query("SELECT * FROM `gorod_invent` WHERE `uid`='".$ank['id']."' AND `type`='dom'");
if(mysql_num_rows($isdom)>0){
$isdom=mysql_fetch_assoc($isdom);
echo '<span class="ank_n">Дом в городе:</span> <span class="ank_d">'.$isdom['name'].'</span><br/>';
};
$isavto=mysql_query("SELECT * FROM `gorod_invent` WHERE `uid`='".$ank['id']."' AND `type`='avto'");
if(mysql_num_rows($isavto)>0){
$isavto=mysql_fetch_assoc($isavto);
echo '<span class="ank_n">Автомобиль города:</span> <span class="ank_d">'.$isavto['name'].'</span><br/>';
};
$ispu=mysql_query("SELECT * FROM `gorod_invent` WHERE `uid`='".$ank['id']."' AND `type`='pushka'");
if(mysql_num_rows($ispu)>0){
$ispu=mysql_fetch_assoc($ispu);
echo '<span class="ank_n">Оружие города:</span> <span class="ank_d">'.$ispu['name'].' <b>['.$ispu['uron'].']</b></span><br/>';
};

if ($ank['gorod_security']!=NULL)echo '<span class="ank_n">Охрана города:</span> <span class="ank_d">'.$ank['gorod_security'].' <b>['.$ank['gorod_security_uron'].']</b></span><br />';
if ($ank['gorod_para']!=NULL)echo '<span class="ank_n">Спутница города:</span> <span class="ank_d">'.$ank['gorod_para'].'</span><br />';
if ($ank['gorod_tur']!=NULL)echo '<span class="ank_n">Ездил в путешествие:</span> <span class="ank_d">'.$ank['gorod_tur'].'</span><br />';
if ($ank['gorod_firm']!=NULL)echo '<span class="ank_n">Фирма города:</span> <span class="ank_d">'.$ank['gorod_firm'].'</span><br />';
if ($ank['gorod_band']!=NULL)echo '<span class="ank_n">В банде города:</span> <span class="ank_d">'.$ank['gorod_band'].'</span><br />';
if($ank['gorod_brak']!=NULL){echo '<span class="ank_n">Брак с:</span> '.$ank['gorod_brak'].'<br/>';};



if ($ank['ank_icq']!=NULL && $ank['ank_icq']!=0)
echo "<span class=\"ank_n\">ICQ;</span> <span class=\"ank_d\">$ank[ank_icq]</span><br />\n";
else
echo "<span class=\"ank_n\">ICQ;</span> <span class=\"ank_no\">Не заполнено</span><br />\n";


if ($ank['ank_mail']!=NULL && ($ank['set_show_mail']==1 || isset($user) && ($user['level']>$ank['level'] || $user['level']==10))){

if ($ank['set_show_mail']==0)$hide_mail=' (скрыт)';else $hide_mail=NULL;
echo "<span class=\"ank_n\">E-mail:</span> <a href=\"mailto:$ank[ank_mail]\" title=\"Написать письмо\" class=\"ank_d\">$ank[ank_mail]</a>$hide_mail<br />\n";
}
else
echo "<span class=\"ank_n\">E-mail:</span> <span class=\"ank_no\">Не заполнено</span><br />\n";


if ($ank['ank_n_tel']!=NULL)echo "<span class=\"ank_n\">Телефон:</span> <span class=\"ank_d\">$ank[ank_n_tel]</span><br />\n";
else
echo "<span class=\"ank_n\">Телефон:</span> <span class=\"ank_no\">Не заполнено</span><br />\n";
echo "</div>\n";


echo "<div class='foot'>\n";



if ($user['level']>$ank['level']){

if ($ank['ip']!=NULL){
if (user_access('user_show_ip') && $ank['ip']!=0){
echo "<span class=\"ank_n\">IP:</span> <span class=\"ank_d\">".long2ip($ank['ip'])."</span>";
if (user_access('adm_ban_ip'))
echo " [<a href='/adm_panel/ban_ip.php?min=$ank[ip]'>Бан</a>]";
echo "<br />\n";
}
}

if ($ank['ip_cl']!=NULL){
if (user_access('user_show_ip') && $ank['ip_cl']!=0){
echo "<span class=\"ank_n\">IP (CLIENT):</span> <span class=\"ank_d\">".long2ip($ank['ip_cl'])."</span>";
if (user_access('adm_ban_ip'))
echo " [<a href='/adm_panel/ban_ip.php?min=$ank[ip_cl]'>Бан</a>]";
echo "<br />\n";
}
}

if ($ank['ip_xff']!=NULL){
if (user_access('user_show_ip') && $ank['ip_xff']!=0){
echo "<span class=\"ank_n\">IP (XFF):</span> <span class=\"ank_d\">".long2ip($ank['ip_xff'])."</span>";
if (user_access('adm_ban_ip'))
echo " [<a href='/adm_panel/ban_ip.php?min=$ank[ip_xff]'>Бан</a>]";
echo "<br />\n";
}
}




if (user_access('user_show_ua') && $ank['ua']!=NULL)
echo "<span class=\"ank_n\">UA:</span> <span class=\"ank_d\">$ank[ua]</span><br />\n";
if (user_access('user_show_ip') && opsos($ank['ip']))
echo "<span class=\"ank_n\">Пров:</span> <span class=\"ank_d\">".opsos($ank['ip'])."</span><br />\n";
if (user_access('user_show_ip') && opsos($ank['ip_cl']))
echo "<span class=\"ank_n\">Пров (CL):</span> <span class=\"ank_d\">".opsos($ank['ip_cl'])."</span><br />\n";
if (user_access('user_show_ip') && opsos($ank['ip_xff']))
echo "<span class=\"ank_n\">Пров (XFF):</span> <span class=\"ank_d\">".opsos($ank['ip_xff'])."</span><br />\n";


}




if ($ank['show_url']==1)
{
if (otkuda($ank['url']))echo "<span class=\"ank_n\">URL:</span> <span class=\"ank_d\"><a href='$ank[url]'>".otkuda($ank['url'])."</a></span><br />\n";
}
if (user_access('user_collisions') && $user['level']>$ank['level'])
{
$mass[0]=$ank['id'];
$collisions=user_collision($mass);


if (count($collisions)>1)
{
echo "<span class=\"ank_n\">Возможные ники:</span><br />\n";
echo "<span class=\"ank_d\">\n";

for ($i=1;$i<count($collisions);$i++)
{
$ank_coll=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '$collisions[$i]' LIMIT 1"));
echo "\"<a href='/info.php?id=$ank_coll[id]'>$ank_coll[nick]</a>\"<br />\n";
}

echo "</span>\n";
}
}
if (user_access('adm_ref') && ($ank['level']<$user['level'] || $user['id']==$ank['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user_ref` WHERE `id_user` = '$ank[id]'"), 0))
{
$q=mysql_query("SELECT * FROM `user_ref` WHERE `id_user` = '$ank[id]' ORDER BY `time` DESC LIMIT $set[p_str]");
echo "Посещаемые сайты:<br />\n";
while ($url=mysql_fetch_assoc($q)) {
$site=htmlentities($url['url'], ENT_QUOTES, 'UTF-8');
echo "<a".($set['web']?" target='_blank'":null)." href='/go.php?go=".base64_encode("http://$site")."'>$site</a> (".vremja($url['time']).")<br />\n";
}
echo "<br />\n";
}


echo "<div class='foot'>\n";
if (isset($user) && $user['id']!=$ank['id'])echo "&raquo;<a href=\"/mail.php?id=$ank[id]\">Написать в приват</a><br />\n";
if (isset($user) && $user['id']==$ank['id'])echo "&raquo;<a href=\"/anketa.php\">Изменить анкету</a><br />\n";


if ($user['level']>$ank['level']){


if (user_access('user_prof_edit'))
echo "&raquo;<a href='/adm_panel/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";



if ($user['id']!=$ank['id']){



if (user_access('user_ban_set') || user_access('user_ban_set_h') || user_access('user_ban_unset'))
echo "&raquo;<a href='/adm_panel/ban.php?id=$ank[id]'>Нарушения (бан)</a><br />\n";





if (user_access('user_delete'))
{

echo "&raquo;<a href='/adm_panel/delete_user.php?id=$ank[id]'>Удалить пользователя</a>";
if (count(user_collision($mass,1))>1)
echo " (<a href='/adm_panel/delete_user.php?id=$ank[id]&amp;all'>Все ники</a>)";
echo "<br />\n";

}
}
}

if (user_access('adm_log_read') && $ank['level']!=0 && ($ank['id']==$user['id'] || $ank['level']<$user['level']))
echo "&raquo;<a href='/adm_panel/adm_log.php?id=$ank[id]'>Отчет по администрированию</a><br />\n";






echo "&laquo;<a href='info.php?id=$ank[id]'>Назад ($ank[nick])</a><br />\n";

echo "</div>\n";
include_once 'sys/inc/tfoot.php';
?>